# saga::rpc Namespace Reference

The Remote Procedure Call API package. More...

## Classes
class | parameter
| The parameter class inherits the saga::buffer class. More...
class | rpc
| This class represents a remote function handle, which can be called (repeatedly), and returns the result of the respective remote procedure invocation. More...
## Enumerations
enum | io_mode { Unknown = -1, In = 1, Out = 2, InOut = In | Out }
| The io mode enum specifies the modus of the rpc::parameter instances: In, Out and InOut. More...

## Detailed Description

The Remote Procedure Call API package.

Detailed description here...

## Enumeration Type Documentation

enum saga::rpc::io_mode

The io mode enum specifies the modus of the rpc::parameter instances: In, Out and InOut.

In: The parameter is an input parameter: its initial value will be evaluated, and its data buffer will not be changed during the invocation of call().

Out: The parameter is an output parameter: its initial value will not be evaluated, and its data buffer will likely be changed during the invocation of call().

InOut: The parameter is input and output parameter: its initial value will not evaluated, and its data buffer will likely be changed during the invocation of call().

Enumerator:

  Unknown |
  In |
  Out |
  InOut |